%define rname vlan

Summary:	Utilities for controlling vlans
Name:		%{rname}-utils
Version:	1.9
Release:	%mkrel 14
License:	GPL
Group:		System/Kernel and hardware
URL:		https://www.candelatech.com/~greear/vlan.html 
Source0:	https://www.candelatech.com/~greear/vlan/vlan.%{version}.tar.gz
Patch0:		vlan-1.6-mdkconf.patch
Patch1:		vlan.1.9-format_not_a_string_literal_and_no_format_arguments.diff
Patch2:		vlan.1.9-nostrip.diff
BuildRequires:	kernel-headers >= 2.4.14
BuildRequires:	lynx
Provides:	vconfig
Obsoletes:	vconfig

%description
Virtual networking refers to the ability of switches and routers to
configure logical topologies on top of the physical network
infrastructure, allowing any arbitrary collection of LAN segments
within a network to be combined into an autonomous user group,
appearing as a single LAN.

This package implement support (along with the kernel patch) :

     * Implements 802.1Q VLAN spec.
     * Can support up to 4094 VLANs per Ethernet interface.
     * Scales well in critical paths: O(n), where n is the number of
       PHYSICAL Ethernet interfaces, and that is only on ingress. O(1) in
       every other critical path, as far as I know.
     * Supports MULTICAST
     * Can change MAC address of VLAN.
     * Multiple naming conventions supported, and adjustable at runtime.
     * Optional header-reordering, to make the VLAN interface look JUST
       LIKE an Ethernet interface. This fixes some problems with DHCPd
       and anything else that uses a SOCK_PACKET socket. Default setting
       is off, which works for every other protocol I know about, and is
       slightly faster.

%prep

%setup -q -n %{rname}
%patch -P 0 -p1 -b .mdkconf
%patch -P 1 -p0 -b .format_not_a_string_literal_and_no_format_arguments
%patch -P 2 -p0 -b .nostrip

rm -rf `find -type d -name CVS`

%build
make clean
rm -f macvlan_config vconfig *.o
%make_build RPM_OPT_FLAGS="%{optflags}" LDFLAGS="%{ldflags}" vconfig

%install
install -m755 vconfig -D %{buildroot}/sbin/vconfig
install -m755 vlan_test.pl -D %{buildroot}/sbin/vlan-test
install -m644 vconfig.8 -D %{buildroot}%{_mandir}/man8/vconfig.8

%files
%doc CHANGELOG contrib README vlan.html
/sbin/*
%{_mandir}/man8/vconfig.8*




%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1.9-14.mga10
+ Revision: 2128242
- Rebuild for patchN deprecation

* Fri Apr 01 2022 umeabot <umeabot> 1.9-13.mga9
+ Revision: 1839392
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.9-12.mga8
+ Revision: 1518046
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.9-11.mga7
+ Revision: 1301628
- Mageia 7 Mass Rebuild

* Sat Jan 30 2016 umeabot <umeabot> 1.9-10.mga6
+ Revision: 929111
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9-9.mga5
+ Revision: 740974
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9-8.mga5
+ Revision: 690225
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.9-7.mga4
+ Revision: 520068
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.9-6.mga3
+ Revision: 385431
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 dlucio <dlucio> 1.9-5.mga2
+ Revision: 224410
- bump release

* Tue Mar 08 2011 ennael <ennael> 1.9-4.mga1
+ Revision: 66536
- imported package vlan-utils

